net.minecraft.block.material

## Class MaterialTransparent

- java.lang.Object
- - net.minecraft.block.material.Material
  - - net.minecraft.block.material.MaterialTransparent

-     public class MaterialTransparent
      extends Material

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.material.Material

      `air, anvil, cactus, cake, circuits, clay, cloth, coral, craftedSnow, dragonEgg, fire, glass, grass, ground, ice, iron, lava, leaves, materialCarpet, materialMapColor, piston, plants, portal, pumpkin, redstoneLight, rock, sand, snow, sponge, tnt, vine, water, web, wood`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaterialTransparent(MapColor par1MapColor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blocksMovement()` Returns if this material is considered solid or not
    `boolean` | `getCanBlockGrass()` Will prevent grass from growing on dirt underneath and kill any grass below it if it returns true
    `boolean` | `isSolid()`

    - ### Methods inherited from class net.minecraft.block.material.Material

      `getCanBurn, getMaterialMobility, isAdventureModeExempt, isLiquid, isOpaque, isReplaceable, isToolNotRequired, setReplaceable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaterialTransparent

          public MaterialTransparent(MapColor par1MapColor)

  - ### Method Detail

    - #### isSolid

          public boolean isSolid()

      Overrides:
        `isSolid` in class `Material`

    - #### getCanBlockGrass

          public boolean getCanBlockGrass()

      Will prevent grass from growing on dirt underneath and kill any grass below it if it returns true
      Overrides:
        `getCanBlockGrass` in class `Material`

    - #### blocksMovement

          public boolean blocksMovement()

      Returns if this material is considered solid or not
      Overrides:
        `blocksMovement` in class `Material`